#ifndef DMD_H_OUT_OSS
#define DMD_H_OUT_OSS

/*
	out_oss: oss output device
	
	part of DerMixD
	(c)2004/5 Thomas Orgis, licensed under GPLv2
*/

typedef struct oss_writerextra
{
	int fd;
} oss_writerextra;

//the class
class oss_output: public output_device
{
	private:
		int oss_format;
		int oss_stereo;
		oss_writerextra wextra;
		bool special_init();
		void special_exit();
		bool special_activate();
		void special_deactivate();
		void special_pause();
		void special_write();
		string current_type;
	
	public:
		static const string t;
		oss_output(output_data* odi, unsigned int bufsize, const string type);
		~oss_output();
		string type(){ return current_type; };
};

#endif
