#ifndef DMD_H_COMPARSE
#define DMD_H_COMPARSE

/*
	comparse: parsing of command strings (ripping them apart)
	
	part of DerMixD
	(c)2004/5 Thomas Orgis, licensed under GPLv2
	
	I want to avoid strtok and ... I really, really miss PERL here!
*/

//get first token of string (the command)
bool commando(const string& str, string& brok);

//get number arguments in the string (ignoring the first one being the command) 
bool argo(const string& str, vector<string>& tokens, const unsigned int& number);

// Split string at whitespaces.
void split(const string& str, vector<string>& tokens);

#endif
