#part of ThOrMA
#DerMixD::Fader: DerMixD communication with scripted fading

#Copyright (c) 2005/6 Thomas Orgis (thomas@orgis.org)
#This is Open Source, Distribution and Modification under the terms of the Artistic License
#see the file LICENSE in the ThOrMA package root or at a place some steps upwards directory-wise if you got this file in a separate package


package DerMixD::Fader;

our @ISA = ('DerMixD::Control');

sub new
{
	my $class = shift;
	my $remote = shift;
	my %defaults = @_;
	my $self = {};
	$self->{Defaults} = \%defaults;
	bless $self, $class;
#	if(
	$self->OpenSocket($remote);
#  )
#  {
  	$self->FadeSet();
  	return $self;
#  }
#  else
#  {return undef;}
}


sub Follow
{
	my $self = shift;
	my ($a,$b) = @_;
	
	$self->Command('
}



sub NoFollow
{
	my $self = shift;
	
}

1;

__END__

=head1 NAME

DerMixD::Fader

=head1 SYNOPSIS

	use DerMixD::Fader;
	my $pal = new DerMixD::Fader({'remote','my.music.host','port',8888});
	#supposing that there is a running dermixd with at least 2 input channels...
	$pal->Command('load 0 file1.mp3');
	$pal->Command('load 1 file2.mp3');
	$pal->XFade(0,1,$fadespec); #programs the fading and end message
	$pal->Command('start 0');
	$pal->FadeWait(); #waits until fade done
	
	#load next track on channel 0...
	
	#But what when I want to react to something while waiting?
	#Named pipe for player commands and some signal handler?
	
	#...

