#ifndef DMD_H_IN_DUMMY
#define DMD_H_IN_DUMMY

/*
	in_dummy: dummy input device
	
	part of DerMixD
	(c)2004/5 Thomas Orgis, licensed under GPLv2
*/

class dummy_input: public input_device 
{
	public:
		static const string t;
		dummy_input(input_data* ind);
		~dummy_input();
		int load(comm_data* cd, const string& filename); //load the file stated in chdata, respond to socket
		int seek(comm_data* cd, double position); //try to seek to data->position, set it to really achieved value, respond to socket
		int sampleseek(comm_data* cd, unsigned long position);
		void scan_length(comm_data* cd){ no_scan_length(cd); };
		int play(unsigned int n_samples); //fill buffer with mixer data format (after pitch / resampling)
		int set_eq(comm_data* cd);
		bool online(){ return true; };
		bool ready(){ return true; };
};

#endif
